GLI 0.5.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | List of all members
image Class Reference

## Public Types
typedef storage::dimensions1_type | dimensions1_type
typedef storage::dimensions2_type | dimensions2_type
typedef storage::dimensions3_type | dimensions3_type
typedef storage::dimensions3_type | dimensions_type
typedef storage::size_type | size_type

## Public Member Functions
size_type | baseFace () const
size_type | baseLayer () const
size_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
void const * | data () const
template<typename genType >
genType * | data ()
template<typename genType >
genType const * | data () const
dimensions_type | dimensions () const
bool | empty () const
| image ()
| image (dimensions_type const &Dimensions, size_type const &BlockSize, dimensions_type const &BlockDimensions)
| image (format const &Format, dimensions_type const &Dimensions)
| image (storage const &Storage, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)
template<typename genType >
genType | load (dimensions_type const &TexelCoord)
size_type | maxFace () const
size_type | maxLayer () const
size_type | maxLevel () const
| operator storage () const
size_type | size () const
template<typename genType >
size_type | size () const
template<typename genType >
void | store (dimensions_type const &TexelCoord, genType const &Data)

## Detailed Description

Image.

Definition at line 42 of file image.hpp.

## Member Typedef Documentation

typedef storage::dimensions1_type dimensions1_type

Definition at line 45 of file image.hpp.

typedef storage::dimensions2_type dimensions2_type

Definition at line 46 of file image.hpp.

typedef storage::dimensions3_type dimensions3_type

Definition at line 47 of file image.hpp.

typedef storage::dimensions3_type dimensions_type

Definition at line 48 of file image.hpp.

typedef storage::size_type size_type

Definition at line 49 of file image.hpp.

## Constructor & Destructor Documentation

image | ( |  | ) |

image | ( | dimensions_type const & | Dimensions,
|  | size_type const & | BlockSize,
|  | dimensions_type const & | BlockDimensions
| ) |  |
| explicit

Allocate a new storage constructor.

image | ( | format const & | Format,
|  | dimensions_type const & | Dimensions
| ) |  |
| explicit

Allocate a new storage constructor.

image | ( | storage const & | Storage,
|  | size_type | BaseLayer,
|  | size_type | MaxLayer,
|  | size_type | BaseFace,
|  | size_type | MaxFace,
|  | size_type | BaseLevel,
|  | size_type | MaxLevel
| ) |  |
| explicit

Reference an exiting storage constructor.

## Member Function Documentation

size_type baseFace | ( |  | ) | const

size_type baseLayer | ( |  | ) | const

size_type baseLevel | ( |  | ) | const

void clear | ( |  | ) |

void clear | ( | genType const & | Texel | ) |

void* data | ( |  | ) |

void const* data | ( |  | ) | const

genType* data | ( |  | ) |

genType const* data | ( |  | ) | const

dimensions_type dimensions | ( |  | ) | const

bool empty | ( |  | ) | const

genType load | ( | dimensions_type const & | TexelCoord | ) |

size_type maxFace | ( |  | ) | const

size_type maxLayer | ( |  | ) | const

size_type maxLevel | ( |  | ) | const

operator storage | ( |  | ) | const

Cast an image into a storage.

size_type size | ( |  | ) | const

size_type size | ( |  | ) | const

void store | ( | dimensions_type const & | TexelCoord,
|  | genType const & | Data
| ) |  |